<div id="confirmation" class="container">
  <div *ngIf="state === 'loading' || state == 'waiting'">

    <div class="loadingAnimation">
      <spinner></spinner>
      <h2>Chargement ...</h2>
    </div>

  </div>
  <div *ngIf="state === 'failed'">
    <div class="message">
      <h1>Erreur</h1>
      <div class="text-danger">Impossible de charger la billetterie</div>
    </div>

  </div>
  <div *ngIf="state === 'rejected'">
    <div class="message">
      <h1>Erreur</h1>
      <div class="text-danger">Le paiement a été rejeté ou annulé</div>
      <div class="mt-4 text-center">
        <a class="btn btn-primary btn-lg" [routerLink]="'/billetterie/'+event.id">Retour à la billetterie</a>
      </div>
    </div>

  </div>
  <div *ngIf="state === 'validated' && event">

    <div id="topbar" class="mt-4 mb-4">
      <h1><img src="/assets/bde.png" height="50"> Billetterie BdE INSA Lyon</h1>
    </div>
    <div class="row">
      <div class="col-4">
        <app-sidebar [event]="event"></app-sidebar>
      </div>

      <div class="col-8">
        <div class="paddingtmtc">
          <div class="row mt-2">
            <div class="offset-1 col-md-2 text-right">

              <img src="/assets/ok.png">
            </div>
            <div class="col-md-9">
              <h3 class="mt-2 text-success text-center">Paiement validé</h3>
              <div class="text-center">
                <a [href]="ticket" class="btn btn-primary" target="_blank"><i class="fa fa-download"></i> Télécharger les billets</a>
                <p id="warning-message">Attention, sauvegardez bien votre billet, vous ne recevrez pas de copie du billet par email.</p>
               <!-- <a href="https://goo.gl/forms/Gyrtp4ZNNHQ9Fggm2">Donnez votre avis sur la billetterie ici</a>-->
              </div>
            </div>
          </div>
          <div class="text-center">

          </div>
        </div>
      </div>
    </div>
  </div>
</div>